//
//  Base.swift
//  GoldWars
//
//  Created by Marcel Schwarz on 18.04.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit
import GameplayKit

class Base : GKEntity{
	var unitCount:Int

	init(textureName:String, team: Team?,position: CGPoint ) {
		self.unitCount = 0
        super.init()
		addComponent(DefaultBaseComponent(texture: SKTexture(imageNamed: textureName), position: position))
		if(team != nil){
			addComponent(TeamComponent(team: team!, position: position))
            self.unitCount = 100
        }
    }

	required init?(coder: NSCoder) {
		fatalError("init(coder:) has not been implemented")
	}

}
