//
//  MenuScene.swift
//  GoldWars
//
//  Created by Aldin Duraki on 18.04.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit

class MenuScene: SKScene {
    
    var startGameButtonNode:SKSpriteNode!
    var settingsButtonNode:SKSpriteNode!

	override func sceneDidLoad() {
		for i in 0...2 {
			let sky = SKSpriteNode(imageNamed: "SkyBackground")
			sky.name = "clouds"
			sky.zPosition = -1
			sky.size = CGSize(width: self.size.width, height: self.size.height)
			sky.position = CGPoint(x: CGFloat(i) * sky.size.width , y: (self.frame.size.height / 2))

			self.addChild(sky)
		}
	}



    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
        guard let touch = touches.first else {
            return
        }
        let gameScene = GameScene(size: self.size)
        let location = touch.location(in: self)
        let frontTouchedNode = atPoint(location).name
        
        let transition = SKTransition.moveIn(with: .right, duration: 1)
        
        if frontTouchedNode == "startGameBtn" || frontTouchedNode == "tmpStartGameLbl"{
            self.view?.presentScene(gameScene, transition: transition)
        }
        
        if frontTouchedNode == "settingsBtn" || frontTouchedNode == "tmpSettingsLbl"{
            //TODO: Implement settings functionality
        }
    }

    override func update(_ currentTime: TimeInterval) {
        self.enumerateChildNodes(withName: "clouds", using: ({
            (node, error) in
            node.position.x -= 2
            if node.position.x < -(self.scene?.size.width)! {
                node.position.x += (self.scene?.size.width)! * 3
            }
        }))
        
        // TODO: Notfalllösung
        if(!GameCenterHelper.isAuthenticated) {
            let authLabel = SKLabelNode(text: "You are not logged in to Gamecenter. Please login via GameCenterApp")
            authLabel.name = "authLabel"
            authLabel.zPosition = 2
            authLabel.position = CGPoint(x: self.size.width / 2, y: self.size.height / 5)
            self.addChild(authLabel)
        } else {
            self.childNode(withName: "authLabel")?.removeFromParent()
        }
    }
}
